package com.tax.sign.service.api;

import com.tax.sign.model.SgSignLog;
import com.tax.sign.model.SignDateInfo;
import com.tax.sign.model.SignReq;

import javax.servlet.http.HttpServletRequest;

public interface SgSignLogService {

    public void saveSgSignLog(SgSignLog sgSignLog);

    SgSignLog getLog(SignReq params, SignDateInfo signDateInfoByRedis, HttpServletRequest request);

    public void saveSgSignLogOn(SgSignLog sgSignLog);
}
